# Stats

### `https://quaiscan.io/api?module=stats`

## Get [ERC-20](https://github.com/ethereum/EIPs/issues/20) or [ERC-721](https://github.com/ethereum/EIPs/issues/721) token total supply by contract address

`tokensupply`

**Example**

```
https://quaiscan.io/api
   ?module=stats
   &action=tokensupply
   &contractaddress={contractAddressHash}
```

{% tabs %}
{% tab title="Request Param" %}

| Parameter       | Description                                                                                    |
| --------------- | ---------------------------------------------------------------------------------------------- |
| contractaddress | `string` containing the contract address hash - a 160-bit code used for identifying contracts. |
| {% endtab %}    |                                                                                                |

{% tab title="Example Result" %}

```json
{
  "message": "OK",
  "result": "21265524714464",
  "status": "1"
}
```

{% endtab %}
{% endtabs %}

## Get total coin supply from DB minus burnt number

`coinsupply`

**Example:**

```
// Some code
```

{% tabs %}
{% tab title="Request Params" %}

| Parameter    | Description |
| ------------ | ----------- |
| param        | description |
| {% endtab %} |             |

{% tab title="Example Result" %}

```
// Some code
```

{% endtab %}
{% endtabs %}

## Get latest price of native coin in USD and BTC in more general format

`coinprice`

**Example:**

```
// Some code
```

{% tabs %}
{% tab title="Request Params" %}

| Parameter    | Description |
| ------------ | ----------- |
| param        | description |
| {% endtab %} |             |

{% tab title="Example Result" %}

```
// Some code
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.quaiscan.io/developer-support/api/rpc-endpoints/stats.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
